@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

@import "../support/_sync-variables.scss";

div.yw-editorarea-box {
	&-main {
		margin-right: $sync-editorarea__box-default--margin-right;
		display: table;
		table-layout: fixed;
	}
	&-col {
		border: $sync-editorarea__column--border;
		padding: $sync-editorarea__column-default--padding;
		width: $sync-editorarea__column-default--width;
		min-height: $sync-editorarea__column-default--min-height;
		border-left-width: 0;
		display: table-cell;
		float:left;

		&:first-child {
			border-left-width: $sync-editorarea__column--border-width;
		}
	}
}

.y-editor-area-attributes-cnt-max,
.y-editor-area-attributes-cnt-avg {
	.z-groupbox-content div.yw-editorarea-box {
		&-main {
			width: $sync-editorarea__cnt-box--width;
			margin-right: $sync-editorarea__cnt-box--margin-right;
			padding: 0;
			border: 0;
		}
		&-col {
			width: $sync-editorarea__cnt-column--width;
			padding: $sync-editorarea__cnt-column--padding;
		}
	}
}

.y-editor-area-attributes-cnt-min .z-groupbox-content div.yw-editorarea-box {
	&-main {
		width: $sync-editorarea__cnt-min-box--width;
		margin-right: $sync-editorarea__cnt-min-box--margin-right;
		displaY: block;
		padding: 0;
		border: 0;
	}
	&-col {
		width: $sync-editorarea__cnt-min-column--width;
		padding: $sync-editorarea__cnt-column--padding;
		border-width: 0 $sync-editorarea__column--border-width $sync-editorarea__column--border-width;
		display: block;

		&:first-child {
			border-width: $sync-editorarea__column--border-width;
		}
	}
}

.yw-editorarea-box-head.z-label {
	font-weight: $sync-editorarea__head-label--font-weight;
	margin-bottom: $sync-editorarea__head-label--margin-bottom;
	color: $sync-editorarea__head-label--color;
	display: block;
}

.yw-editorarea-box-row.z-label {
	margin-top: $sync-editorarea__label--margin-top;
	margin-bottom: 0;
	display: block;
}

.yw-editorarea-editlink.z-button {
	color: $sync-editorarea__editlink--color;
	font-family: $sync-editorarea__editlink--font;
	font-size: $sync-editorarea__editlink--font-size;
	padding-left: $sync-editorarea__editlink--padding-left;
	background: $sync-editorarea__editlink--bg-image center no-repeat;
	background-position: left;
	text-transform: none;
	display: block;
	clear: both;
	
	&:hover,
	&:focus,
	&:active {
		box-shadow: none;
		text-decoration: underline;
	}
}

